| Earth Observation Mission CFI Software DataHandling Software User Manual for JAVA |

Public Member Functions | Public Attributes

# EECFI.StarTrackerFile Class Reference

Class for reading star tracker files. More...

Inheritance diagram for EECFI.StarTrackerFile:

List of all members.

## Public Member Functions
| StarTrackerFile ()
| Constructor.
| StarTrackerFile (final String fileNam)
| Constructor by name.
native void | read (Vector< String > fileList, TrackerLimits trackerLimits) throws CfiError
| Read the whole file in the file list.
native void | read (Vector< String > fileList, TrackerLimits trackerLimits, double time0, double time1) throws CfiError
| Read the file in the selected time window.
## Public Attributes
long | strId
| Star tracker Id (1,2 or 3).
Vector< StarTracker > | strRec
| Vector with the telemetry data.

## Detailed Description

Class for reading star tracker files.

## Constructor & Destructor Documentation

EECFI.StarTrackerFile.StarTrackerFile | ( |  | ) |

Constructor.

EECFI.StarTrackerFile.StarTrackerFile | ( | final String | fileNam | ) |

Constructor by name.

## Member Function Documentation

void EECFI.StarTrackerFile::read | ( | Vector< String > | fileList,
|  | TrackerLimits | trackerLimits,
|  | double | time0,
|  | double | time1 |
| ) |  |  | throws CfiError

Read the file in the selected time window.

Parameters:

  | fileList | List of files to read.
  | trackerLimits | Object with tracker limits.
  | time0 | Star time of the requested time window.
  | time1 | Stop time of the requested time window.

void EECFI.StarTrackerFile::read | ( | Vector< String > | fileList,
|  | TrackerLimits | trackerLimits |
| ) |  |  | throws CfiError

Read the whole file in the file list.

Parameters:

  | fileList | List of files to read.
  | trackerLimits | Object with tracker limits.

## Member Data Documentation

long EECFI.StarTrackerFile.strId

Star tracker Id (1,2 or 3).

Vector<StarTracker> EECFI.StarTrackerFile.strRec

Vector with the telemetry data.